System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

A server control's view state comprises the cumulative values of the control's properties. This interface includes methods that save and load a server control's view state values, as well as a method that instructs the control to track any changes to its view state.

To customize the way your ASP.NET application manages server control view state, you must create a class that implements this interface because you cannot inherit from the class.

Defines the properties and methods any class must implement to support view state management for a server control.

- Property
  System.Boolean To be added: an object of type 'bool' To be added

  When implemented by a class, gets a value indicating whether a server control is tracking its view state changes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is used primarily by the .NET Framework infrastructure and is not intended to be used directly from your code. However, control developers can override this method to specify how a custom server control restores its view state. For more information, see ASP.NET State Management Overview.

  When implemented by a class, loads the server control's previously saved view state to the control.

  An that contains the saved view state values for the control. 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added

  When implemented by a class, saves the changes to a server control's view state to an .

  The that contains the view state changes.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  After this method has been called on a server control, the property will return true.

  When implemented by a class, instructs the server control to track changes to its view state.

  1.0.5000.0
  2.0.0.0